This is the mail archive of the mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Trouble in Compiling OpenGL-1.1.0-6 with Cygwin!

Brian Ford wrote:

On Fri, 14 Nov 2003, Alex MANTION wrote:

> I am experiencing a trouble while I am trying to
> compile OpenGl-1.1.0-6 from its sources available on
> cygwin web site. I need this one to make Ghemical 1.5
> working (for its glut component part [glutinit and so
> on]).
The binary opengl package contains glut.  You should not need to compile
it yourself unless you need to change the glut source code.


Please install the current binary opengl package (version 1.1.0-7) and
read /usr/share/doc/Cygwin/opengl-1.1.0-7.README for usage information.

Well that file contains instructions about how to rebuild the package. Usage info is rather in /usr/share/doc/opengl-1.1.0/README.txt .

> When I do as indicating in the README.linux of this
> package nothing happens (error message as usual ).
Don't do that.  Cygwin is not Linux, although it has many similar

IIRC, Cygwin's glut is compiled using MSVC++.


> Has anybody an idea to solve this trouble ? May I find
> this glut extension somewhere else ?
In the binary opengl package, yes.


Kudos to Brian, who has often offered fast and reliable answers about the OpenGL package to this list.

André Bleau, Cygwin's OpenGL package maintainer.

Please address all questions and problem reports about Cygwin's OpenGL package to .

-- Unsubscribe info: Problem reports: Documentation: FAQ:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]